Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
hoangkimoanh

[yêu cầu] sửa giúp em lisp tạo cung tròn cho đỉnh Pline

Các bài được khuyến nghị

Nhờ các anh sửa giúp em với yêu cầu sau:

gõ lệnh => chọn Pline => xong

 

bỏ bớt giúp em những dòng hỏi màu đỏ dưới đây:

Command: Test

Select objects: 1 found

Select objects:

Specify Circle Radius :0.1 (ĐỂ MẶC ĐỊNH 0.1, KHÔNG HỎI)

Enter Layer name :0 (TỰ TẠO LAYER CÓ MẦU SỐ 4, TÊN LAYER LÀ ĐIỂM VÀ CUNG TRÒN CÓ MÀU ĐÓ. KHÔNG HỎI)

cảm ơn các anh!

 

(defun c:Test (/ ss di la)  ;;; Tharwat 14. Nov. 2012   ;;;
 (if (and (setq ss (ssget '((0 . "*POLYLINE"))))
      	(setq di (getdist "\n Specify Circle Radius :"))
      	(not (eq (setq la (getstring t "\n Enter Layer name :")) ""))
      	(tblsearch "LAYER" la)  	)	((lambda (x / e)
  	(while (setq e (ssname ss (setq x (1+ x))))
    	(foreach dxf (entget e)       	(if (eq (car dxf) 10)
        	(entmakex (list '(0 . "CIRCLE") dxf (cons 40 di) (cons 8 la)))
      	) ) ) 	)  	-1	)	(princ)  )  (princ))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Hantinhsaycad    378

Ồ Nhóc bảo mọi người nghỉ tết để cho Nhóc cặm cụi thui ?

 

298 người đang online

3 thành viên, 295 khách, 0 thành viên ẩn danh (See full list )

 

 

Hantinhsaycad, Google, nhoclangbat, Facebook, Doan Van Ha


Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
nhoclangbat    382

Nhờ các anh sửa giúp em với yêu cầu sau:

gõ lệnh => chọn Pline => xong

 

bỏ bớt giúp em những dòng hỏi màu đỏ dưới đây:

Command: Test

Select objects: 1 found

Select objects:

Specify Circle Radius :0.1 (ĐỂ MẶC ĐỊNH 0.1, KHÔNG HỎI)

Enter Layer name :0 (TỰ TẠO LAYER CÓ MẦU SỐ 4, TÊN LAYER LÀ ĐIỂM VÀ CUNG TRÒN CÓ MÀU ĐÓ. KHÔNG HỎI)

cảm ơn các anh!

-SAu 1 hồi mò mẫn cuối cùng nhoc cũng mò đc theo đúng yêu cầu của bạn ni :D

Nhưng có 1 chỗ oái ăm nhoc chưa hỉu là tự tạo layer màu số 4, tên layer la diem ko có gì phải bàn nhưng hình tròn vẽ ra lại là màu số 1 ??? >>nhoc hỉu sai chăng :D

Trước mắt làm theo những gì nhoc hỉu

;Edit by nhoclangbat ^^
(defun c:ttt (/ ss)
(command "-layer" "m" "diem" "C" 4 "diem" "")
 (if (and (setq ss (ssget '((0 . "*POLYLINE"))))
  	)
 ((lambda (x / e)
(while (setq e (ssname ss (setq x (1+ x))))
 	(foreach dxf (entget e)    	(if (eq (car dxf) 10)
     	(entmakex (list '(0 . "CIRCLE") '(62 . 1) dxf (cons 40 0.1) (cons 8 "diem")))
   	) ) )  )   -1 ) (princ)  )
 (princ))

Ps: thật ra mí hàm này anh Ket chưa dạy tới nhưng may hồi đó đc anh Bình hướng dẫn sữa cái lsp vn2000 làm nhìu nên cũng nắm đc sơ sơ mí cái mã dfx rùi hàm entmake tạo đối tượng, if , ..... chứ nhoc cũng chả hỉu chi rứa ^^ :D

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
nhoclangbat    382

sax

Enter Layer name :0 (TỰ TẠO LAYER CÓ MẦU SỐ 4, TÊN LAYER LÀ ĐIỂM VÀ CUNG TRÒN CÓ MÀU ĐÓ. KHÔNG HỎI)

layer diem màu =4, cung tròn màu đỏ =1, nhoc làm y chang ^^

Thui dù sao cũng hoành thành :D

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Enter Layer name :0 (TỰ TẠO LAYER CÓ MẦU SỐ 4, TÊN LAYER LÀ ĐIỂM VÀ CUNG TRÒN CÓ MÀU ĐÓ. KHÔNG HỎI)

màu đó là màu số 4, tại em nói khô ng rõ đ ấy . cảm ơ n anh nhiều !â y

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

Ấy chết sr... hoangkimanh nhá, mắt nhoc cận nãy giờ ko đeo kính giờ đeo mới thấy ĐÓ CHỨ KO PHẢI ĐỎ.

:D :D :D

Hề hề hề,

Chả biết Nhóc còn nhìn nhầm cái chi nữa nhể??? 

Hãy đọc lại tên tiêu đề của topic nha.

Cái Nhóc sửa là vẽ thêm một vòng tròn tại đỉnh của polyline chứ đâu phải tạo cung tròn cho đỉnh Pline

Lẽ ra nên hỏi kỹ chủ thớt trước khi sửa. 

@ Chủ thớt: Cần học cách trình bày vấn đề sao cho người đọc không hiểu nhầm. Giữa tên topic và cái chủ thớt cần có vẻ như đang muốn chửi nhau to đấy.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×